<?php

/**
 * Photo Spot
 *
 * @package com_photospot_j15
 * @version 1-20100914.0
 */


// no direct access
defined('_JEXEC') or die('Restricted access');

class PhotoSpotInterfaceAdmin {

	var $id = 0;
	var $data = false;
	var $page_refreshed = false;

	function get($name, $default = '') {
		return JRequest::getVar($name, $default, 'POST', 'none', 3);
	}

	function data_load($source) {
		$this->data = new JParameter($source);
	}

	function data_get($key, $default = null) {
		return $this->data === false ? $default : $this->data->get($key, $default);
	}

	function data_set($key, $value) {
		if ($this->data === false)
			$this->data_load('');

		$this->data->set($key, $value);
	}

	function save() {
	}

	function edit() {
		// subclass this function
	}

	function setup() {
		// subclass this function
	}

	function cleanup() {
		// subclass this function
	}

}

class PhotoSpotDatasourceAdmin extends PhotoSpotInterfaceAdmin {

	function save() {
		$db =& JFactory::getDBO();
		$db->setQuery("UPDATE #__photospot_galleries SET datasource_params = " . $db->Quote($this->data->toString()) . " WHERE id = " . $this->id);
		$db->query();
	}

}

class PhotoSpotViewerAdmin extends PhotoSpotInterfaceAdmin {

	function save() {
		$db =& JFactory::getDBO();
		$db->setQuery("UPDATE #__photospot_galleries SET viewer_params = " . $db->Quote($this->data->toString()) . " WHERE id = " . $this->id);
		$db->query();
	}

}

?>