<?php

/**
 * Photo Spot
 *
 * @package com_photospot_j15
 * @version 1-20100914.0
 */


// no direct access
defined('_JEXEC') or die('Restricted access');

require_once(dirname(__FILE__) . '/gallery.shared.php');

if (JRequest::getCmd('hfrm_edit_datasource', '', 'POST') != '') {
	$v_datasource = JRequest::getVar('datasource', '', 'POST', 'none', 3);

	if ($page_refreshed) {
		// ignore page refreshes
	}
	else {
		if (JRequest::getCmd('btn_cancel', '', 'POST') == '' && $gallery->datasource != $v_datasource) {
			require_once(dirname(__FILE__) . '/../classes.admin.php');

			$info = $utils->get_datasource_info($gallery->datasource, false);
			require($info->directory . 'admin.php');
			$engine->id = $id;
			$engine->cleanup();

			$db->setQuery("UPDATE #__photospot_galleries SET datasource = " . $db->Quote($v_datasource) . ", datasource_params = '' WHERE id = " . $id);
			$db->query();

			$info = $utils->get_datasource_info($v_datasource, false);
			require($info->directory . 'admin.php');
			$engine->id = $id;
			$engine->setup();
		}

		$mainframe->redirect('index.php?option=' . JRequest::getCmd('option') . '&task=gallery.edit&id=' . $id);
	}
}
else {
	$v_datasource = $gallery->datasource;
}

$mainframe->set('JComponentTitle', $com_title_start . ' - ' . JText::_('Gallery') . ': ' . htmlspecialchars($gallery->name) . ' - ' . JText::_('Change Datasource') . '</div>');

$datasource_list = $utils->get_datasource_list();

$document =& JFactory::getDocument();
$document->addScriptDeclaration('
document.sel_datasource = "";

function onchange_datasource(value) {
	if (document.sel_datasource != "")
		document.getElementById(document.sel_datasource).style.display = "none";

	if (value == "") {
		document.sel_datasource = "";
	}
	else {
		document.sel_datasource = "datasource_info_" + value;
		document.getElementById(document.sel_datasource).style.display = "block";
	}
}

');

echo '
<form name="frm" method="post" action="index.php">
	<input type="hidden" name="hfrm_edit_datasource" value="' . microtime() . '" />
	<input type="hidden" name="option" value="' . htmlspecialchars(JRequest::getCmd('option')) . '" />
	<input type="hidden" name="task" value="' . htmlspecialchars(JRequest::getCmd('task')) . '" />
	<input type="hidden" name="id" value="' . $id . '" />

	<input type="submit" name="dmsub" style="display:none" />

	<table cellspacing="10" align="center">
		<tr>
			<td valign="top">' . JText::_('Data Source') . '</td>
			<td>
				<select name="datasource" onchange="onchange_datasource(this.value)">
					<option value="">-- ' . JText::_('select one') . ' -- </option>
';

foreach ($datasource_list as $item)
	printf(
'					<option value="%s"%s>%s [%s]</option>
',
		$item->code_name,
		$v_datasource == $item->code_name ? ' selected="selected"' : '',
		$item->title,
		$item->code_name
	);

echo '
				</select>
			</td>
		</tr>
		<tr>
			<td></td>
			<td>
';

foreach ($datasource_list as $item)
	echo '
				<div id="datasource_info_' . $item->code_name . '" style="display:none">
' . wordwrap($item->info['description'], 75, '<br/>') . '
				</div>
';

echo '
			</td>
		</tr>
		<tr>
			<td></td>
			<td>
				<input type="submit" name="btn_cancel" value="' . JText::_('Cancel') . '" />
				&nbsp; <input type="submit" name="btn_apply" value="' . JText::_('Apply') . '" />
			</td>
		</tr>
	</table>
</form>

<script type="text/javascript">
// <![CDATA[
';

if ($v_datasource != '')
	echo 'onchange_datasource("' . $v_datasource . '");' . "\n";

echo '
// ]]>
</script>

';

?>