<?php

/**
 * Photo Spot
 *
 * @package com_photospot_j15
 * @version 1-20100914.0
 */


// no direct access
defined('_JEXEC') or die('Restricted access');

$bar =& JToolBar::getInstance('toolbar');
$bar->appendButton('Link', 'ps_gallery_list', JText::_('Gallery List'), 'index.php?option=' . JRequest::getCmd('option') . '&task=gallery.list');
$bar->appendButton('Link', 'ps_settings', JText::_('Settings'), 'index.php?option=' . JRequest::getCmd('option') . '&task=settings');
$bar->appendButton('Link', 'ps_help', JText::_('Help'), 'index.php?option=' . JRequest::getCmd('option') . '&task=help');

require_once(dirname(__FILE__) . '/../classes.admin.php');

$id = JRequest::getCmd('id');
if ($id == '' || !ctype_digit($id)) {
	echo JText::sprintf('Error: Missing URL parameter &quot;%s&quot;', 'id');
	return;
}

$db =& JFactory::getDBO();
$db->setQuery("SELECT * FROM #__photospot_galleries WHERE id = $id");
$gallery = $db->loadObject();
if ($gallery === null) {
	echo JText::_('Error: Gallery not found');
	return;
}

require(dirname(__FILE__) . '/../utils.php');
$utils =& PhotoSpotUtils::get_instance();

$datasource_info = $utils->get_datasource_info(@$gallery->datasource, true);
if ($datasource_info === false) {
	JError::raiseWarning('PhotoSpot data source unavailable', JText::_('The data source is not available'));
	return;
}
if (!file_exists($datasource_info->directory . 'admin.php')) {
	JError::raiseWarning('The data source is missing the administration program', JText::_('The data source is missing the administration program'));
	return;
}

$viewer_info = $utils->get_viewer_info(@$gallery->viewer, true);
if ($viewer_info === false) {
	JError::raiseWarning('PhotoSpot viewer unavailable', JText::_('The viewer is not available'));
	return;
}
if (!file_exists($viewer_info->directory . 'admin.php')) {
	JError::raiseWarning('The viewer is missing the administration program', JText::_('The viewer is missing the administration program'));
	return;
}

?>