<?php

/**
 * Photo Spot
 *
 * @package com_photospot_j15
 * @version 1-20100914.0
 */


class PhotoSpotViewerCustomDesignAdmin extends PhotoSpotViewerAdmin {

	function setup() {
		$this->data_set('bg_images', '1');
		$this->data_set('bg_titles', '1');
		$this->data_set('bg_pages', '1');
		$this->data_set('bg_pagescounter', '1');
		$this->data_set('bg_resultscounter', '1');
		$this->data_set('ho_titles', '1');
		$this->data_set('ho_pages', '1');
		$this->data_set('ho_pagescounter', '1');
		$this->data_set('ho_resultscounter', '1');
		$this->save();
	}

	function edit() {
		$load_data = true;

		$warnings = array();

		if (JRequest::getCmd('hfrm_viewer_edit', '', 'POST') != '') {
			$load_data = false;
			$v_theme = $this->get('theme', '');
			$v_open = $this->get('open', '');
			$v_titles = $this->get('titles', '');
			$v_bg_images = $this->get('bg_images', '0');
			$v_bg_titles = $this->get('bg_titles', '0');
			$v_bg_pages = $this->get('bg_pages', '0');
			$v_bg_pagescounter = $this->get('bg_pagescounter', '0');
			$v_bg_resultscounter = $this->get('bg_resultscounter', '0');
			$v_ho_titles = $this->get('ho_titles', '0');
			$v_ho_pages = $this->get('ho_pages', '0');
			$v_ho_pagescounter = $this->get('ho_pagescounter', '0');
			$v_ho_resultscounter = $this->get('ho_resultscounter', '0');
			$v_css_file = $this->get('css_file', '');
			$v_cl_images = $this->get('cl_images', '');
			$v_cl_no_images = $this->get('cl_no_images', '');
			$v_cl_titles = $this->get('cl_titles', '');
			$v_cl_no_titles = $this->get('cl_no_titles', '');
			$v_cl_pages = $this->get('cl_pages', '');
			$v_cl_no_pages = $this->get('cl_no_pages', '');
			$v_cl_pagescounter = $this->get('cl_pagescounter', '');
			$v_cl_no_pagescounter = $this->get('cl_no_pagescounter', '');
			$v_cl_resultscounter = $this->get('cl_resultscounter', '');
			$v_cl_no_resultscounter = $this->get('cl_no_resultscounter', '');

			if ($this->page_refreshed) {
				// ignore page refreshes
			}
			else if (JRequest::getCmd('btn_cancel', '', 'POST') != '') {
				// form cancelled
				$load_data = true;
			}
			else {
				// form submitted successfully

				$error_msg = '';

				if ($error_msg == '') {
					$this->data_set('theme', $v_theme);
					$this->data_set('open', $v_open);
					$this->data_set('titles', $v_titles);
					$this->data_set('bg_images', $v_bg_images);
					$this->data_set('bg_titles', $v_bg_titles);
					$this->data_set('bg_pages', $v_bg_pages);
					$this->data_set('bg_pagescounter', $v_bg_pagescounter);
					$this->data_set('bg_resultscounter', $v_bg_resultscounter);
					$this->data_set('ho_titles', $v_ho_titles);
					$this->data_set('ho_pages', $v_ho_pages);
					$this->data_set('ho_pagescounter', $v_ho_pagescounter);
					$this->data_set('ho_resultscounter', $v_ho_resultscounter);
					$this->data_set('css_file', $v_css_file);
					$this->data_set('cl_images', $v_cl_images);
					$this->data_set('cl_no_images', $v_cl_no_images);
					$this->data_set('cl_titles', $v_cl_titles);
					$this->data_set('cl_no_titles', $v_cl_no_titles);
					$this->data_set('cl_pages', $v_cl_pages);
					$this->data_set('cl_no_pages', $v_cl_no_pages);
					$this->data_set('cl_pagescounter', $v_cl_pagescounter);
					$this->data_set('cl_no_pagescounter', $v_cl_no_pagescounter);
					$this->data_set('cl_resultscounter', $v_cl_resultscounter);
					$this->data_set('cl_no_resultscounter', $v_cl_no_resultscounter);
					$this->save();

					global $mainframe;
					$mainframe->enqueueMessage(JText::_('Viewer updated successfully'));
				}
				else {
					JError::raiseWarning($error_msg, $error_msg);
				}
			}
		}

		if ($load_data) {
			$v_theme = $this->data_get('theme', '');
			$v_open = $this->data_get('open', '');
			$v_titles = $this->data_get('titles', '');
			$v_bg_images = $this->data_get('bg_images', '0');
			$v_bg_titles = $this->data_get('bg_titles', '0');
			$v_bg_pages = $this->data_get('bg_pages', '0');
			$v_bg_pagescounter = $this->data_get('bg_pagescounter', '0');
			$v_bg_resultscounter = $this->data_get('bg_resultscounter', '0');
			$v_ho_titles = $this->data_get('ho_titles', '0');
			$v_ho_pages = $this->data_get('ho_pages', '0');
			$v_ho_pagescounter = $this->data_get('ho_pagescounter', '0');
			$v_ho_resultscounter = $this->data_get('ho_resultscounter', '0');
			$v_css_file = $this->data_get('css_file', '');
			$v_cl_images = $this->data_get('cl_images', '');
			$v_cl_no_images = $this->data_get('cl_no_images', '');
			$v_cl_titles = $this->data_get('cl_titles', '');
			$v_cl_no_titles = $this->data_get('cl_no_titles', '');
			$v_cl_pages = $this->data_get('cl_pages', '');
			$v_cl_no_pages = $this->data_get('cl_no_pages', '');
			$v_cl_pagescounter = $this->data_get('cl_pagescounter', '');
			$v_cl_no_pagescounter = $this->data_get('cl_no_pagescounter', '');
			$v_cl_resultscounter = $this->data_get('cl_resultscounter', '');
			$v_cl_no_resultscounter = $this->data_get('cl_no_resultscounter', '');
		}


		// check if the theme exists

		$utils =& PhotoSpotUtils::get_instance();

		if ($v_theme == '') {
			$warnings['theme'] = JText::_('The theme file is not set');
		}
		else {
			$type = $utils->norm_file_paths($v_theme, false, $path_url, $path_abs);
			if ($type == 'notfound')
				$warnings['theme'] = JText::_('The theme file does not exist');
			else if ($type != 'file')
				$warnings['theme'] = JText::_('The value in the theme file is not a valid file');
		}


		// output

		echo '
<form name="frm_viewer" method="post" action="index.php">
	<input type="hidden" name="hfrm_viewer_edit" value="' . microtime() . '" />
	<input type="hidden" name="option" value="' . htmlspecialchars(JRequest::getCmd('option')) . '" />
	<input type="hidden" name="task" value="' . htmlspecialchars(JRequest::getCmd('task')) . '" />
	<input type="hidden" name="id" value="' . htmlspecialchars(JRequest::getCmd('id')) . '" />

	<input type="submit" name="dmsub" style="display:none" />

	<table cellspacing="10">
		<tr>
			<td valign="top">' . JText::_('Theme file') . '</td>
			<td><input type="text" name="theme" value="' . htmlspecialchars($v_theme) . '" size="40" />
' . (empty($warnings['theme']) ? '' : '<br/><span class="warning">' . $warnings['theme'] . '</span>') . '
			</td>
		</tr>
		<tr>
			<td>' . JText::_('Open Method') . '</td>
			<td><select name="open">
				<option value="lightbox"' . ($v_open == 'lightbox' ? ' selected="selected"' : '') . '>' . JText::_('Lightbox') . '</option>
				<option value="popup"' . ($v_open == 'popup' ? ' selected="selected"' : '') . '>' . JText::_('Open image in popup window') . '</option>
				<option value="link"' . ($v_open == 'link' ? ' selected="selected"' : '') . '>' . JText::_('Open link') . '</option>
				<option value="linkpopup"' . ($v_open == 'linkpopup' ? ' selected="selected"' : '') . '>' . JText::_('Open link in popup window') . '</option>
				<option value="thumbnails"' . ($v_open == 'thumbnails' ? ' selected="selected"' : '') . '>' . JText::_('Do not open') . '</option>
			</select></td>
		</tr>
		<tr>
			<td>' . JText::_('Titles &amp; Links') . '</td>
			<td><select name="titles">
				<option value="show"' . ($v_titles == 'show' ? ' selected="selected"' : '') . '>' . JText::_('Show title as text') . '</option>
				<option value="link"' . ($v_titles == 'link' ? ' selected="selected"' : '') . '>' . JText::_('Show title as link') . '</option>
				<option value="linkpopup"' . ($v_titles == 'linkpopup' ? ' selected="selected"' : '') . '>' . JText::_('Show title as link and open in popup window') . '</option>
				<option value="no"' . ($v_titles == 'no' ? ' selected="selected"' : '') . '>' . JText::_('Do not show title') . '</option>
			</select></td>
		</tr>
		<tr>
			<td>' . JText::_('Keep background of') . '</td>
			<td>
				<input type="checkbox" name="bg_images" value="1"' . (empty($v_bg_images) ? '' : ' checked="checked"') . ' /> ' . JText::_('Images') . '
				&nbsp; <input type="checkbox" name="bg_titles" value="1"' . (empty($v_bg_titles) ? '' : ' checked="checked"') . ' /> ' . JText::_('Titles') . '
				&nbsp; <input type="checkbox" name="bg_pages" value="1"' . (empty($v_bg_pages) ? '' : ' checked="checked"') . ' /> ' . JText::_('Page links') . '
				&nbsp; <input type="checkbox" name="bg_pagescounter" value="1"' . (empty($v_bg_pagescounter) ? '' : ' checked="checked"') . ' /> ' . JText::_('Page counter') . '
				&nbsp; <input type="checkbox" name="bg_resultscounter" value="1"' . (empty($v_bg_resultscounter) ? '' : ' checked="checked"') . ' /> ' . JText::_('Results counter') . '
			</td>
		</tr>
		<tr>
			<td>' . JText::_('Hide overflow of') . '</td>
			<td>
				<input type="checkbox" name="ho_titles" value="1"' . (empty($v_ho_titles) ? '' : ' checked="checked"') . ' /> ' . JText::_('Titles') . '
				&nbsp; <input type="checkbox" name="ho_pages" value="1"' . (empty($v_ho_pages) ? '' : ' checked="checked"') . ' /> ' . JText::_('Page links') . '
				&nbsp; <input type="checkbox" name="ho_pagescounter" value="1"' . (empty($v_ho_pagescounter) ? '' : ' checked="checked"') . ' /> ' . JText::_('Page counter') . '
				&nbsp; <input type="checkbox" name="ho_resultscounter" value="1"' . (empty($v_ho_resultscounter) ? '' : ' checked="checked"') . ' /> ' . JText::_('Results counter') . '
			</td>
		</tr>
		<tr>
			<td>' . JText::_('CSS File') . '</td>
			<td><input type="text" name="css_file" value="' . htmlspecialchars($v_css_file) . '" /></td>
		</tr>
		<tr>
			<td>' . JText::_('CSS class for') . '</td>
			<td>' . JText::_('Images') . ' <input type="text" name="cl_images" value="' . htmlspecialchars($v_cl_images) . '" size="15" />
				&nbsp; &nbsp; ' . JText::_('Empty images') . ' <input type="text" name="cl_no_images" value="' . htmlspecialchars($v_cl_no_images) . '" size="15" />
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td>' . JText::_('Titles') . ' <input type="text" name="cl_titles" value="' . htmlspecialchars($v_cl_titles) . '" size="15" />
				&nbsp; &nbsp; ' . JText::_('Empty titles') . ' <input type="text" name="cl_no_titles" value="' . htmlspecialchars($v_cl_no_titles) . '" size="15" />
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td>' . JText::_('Page links') . ' <input type="text" name="cl_pages" value="' . htmlspecialchars($v_cl_pages) . '" size="15" />
				&nbsp; &nbsp; ' . JText::_('Empty page links') . ' <input type="text" name="cl_no_pages" value="' . htmlspecialchars($v_cl_no_pages) . '" size="15" />
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td>' . JText::_('Page counter') . ' <input type="text" name="cl_pagescounter" value="' . htmlspecialchars($v_cl_pagescounter) . '" size="15" />
				&nbsp; &nbsp; ' . JText::_('Empty page counter') . ' <input type="text" name="cl_no_pagescounter" value="' . htmlspecialchars($v_cl_no_pagescounter) . '" size="15" />
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td>' . JText::_('Results counter') . ' <input type="text" name="cl_resultscounter" value="' . htmlspecialchars($v_cl_resultscounter) . '" size="15" />
				&nbsp; &nbsp; ' . JText::_('Empty results counter') . ' <input type="text" name="cl_no_resultscounter" value="' . htmlspecialchars($v_cl_no_resultscounter) . '" size="15" />
			</td>
		</tr>
	</table>

	<div>
		<input type="submit" name="btn_cancel" value="' . JText::_('Cancel') . '" />
		&nbsp; <input type="submit" name="btn_apply" value="' . JText::_('Apply') . '" />
	</div>
</form>
';
	}

}

$engine = new PhotoSpotViewerCustomDesignAdmin();

?>