<?php

/**
 * Photo Spot
 *
 * @package com_photospot_j15
 * @version 1-20100914.0
 */


// no direct access
defined('_JEXEC') or die('Restricted access');

$bar =& JToolBar::getInstance('toolbar');
$bar->appendButton('Link', 'ps_gallery_list', JText::_('Gallery List'), 'index.php?option=' . JRequest::getCmd('option') . '&task=gallery.list');
$bar->appendButton('Link', 'ps_help', JText::_('Help'), 'index.php?option=' . JRequest::getCmd('option') . '&task=help');

$mainframe->set('JComponentTitle', $com_title_start . ' - ' . JText::_('General Settings') . '</div>');


function set_option($key, $value) {
	$db =& JFactory::getDBO();

	$db->setQuery("SELECT * FROM #__photospot_misc WHERE `key` = " . $db->Quote($key));
	$rec = $db->loadObject();

	if ($rec !== null && $rec->value == $value) {
		// ignore case: value already has the correct value
	}
	else if ($rec === null) {
		$db->setQuery("INSERT INTO #__photospot_misc (`key`, `value`) VALUES ('$key', " . $db->Quote($value) . ")");
		$db->query();
	}
	else {
		$db->setQuery("UPDATE #__photospot_misc SET `value` = " . $db->Quote($value) . " WHERE `id` = " . $rec->id);
		$db->query();
	}
}

$db =& JFactory::getDBO();
$db->setQuery("SELECT * FROM #__photospot_misc");
$vars = $db->loadAssocList('key');

$v_allow_unmapped_galleries = (bool) @$vars['allow_unmapped_galleries']['value'];
$v_gallery_from_url = (bool) @$vars['gallery_from_url']['value'];
$v_error_msg_unauthorized = (string) @$vars['error_msg_unauthorized']['value'];
$v_error_msg_unpublished_gallery = (string) @$vars['error_msg_unpublished_gallery']['value'];

if (JRequest::getCmd('hfrm_settings') != '' && !$page_refreshed && JRequest::getCmd('btn_cancel') == '') {
	$v_allow_unmapped_galleries = JRequest::getVar('allow_unmapped_galleries', '', 'POST', 'none', 3) == '1';
	$v_gallery_from_url = JRequest::getVar('gallery_from_url', '', 'POST', 'none', 3) == '1';
	$v_error_msg_unauthorized = JRequest::getVar('error_msg_unauthorized', '', 'POST', 'none', 3);
	$v_error_msg_unpublished_gallery = JRequest::getVar('error_msg_unpublished_gallery', '', 'POST', 'none', 3);

	set_option('allow_unmapped_galleries', $v_allow_unmapped_galleries ? '1' : '0');
	set_option('gallery_from_url', $v_gallery_from_url ? '1' : '0');
	set_option('error_msg_unauthorized', $v_error_msg_unauthorized);
	set_option('error_msg_unpublished_gallery', $v_error_msg_unpublished_gallery);
}


echo '
<form name="frm" method="post" action="index.php">
	<input type="hidden" name="hfrm_settings" value="' . microtime() . '" />
	<input type="hidden" name="option" value="' . htmlspecialchars(JRequest::getCmd('option')) . '" />
	<input type="hidden" name="task" value="' . htmlspecialchars(JRequest::getCmd('task')) . '" />

	<input type="submit" name="dmsub" style="display:none" />

	<table cellspacing="15" align="center">
		<tr>
			<td>Allow unmapped galleries</td>
			<td><input type="checkbox" name="allow_unmapped_galleries" value="1"' . ($v_allow_unmapped_galleries ? ' checked="checked"' : '') . ' /></td>
		</tr>
		<tr>
			<td>Allow loading galleries from the URL address</td>
			<td><input type="checkbox" name="gallery_from_url" value="1"' . ($v_gallery_from_url ? ' checked="checked"' : '') . ' /></td>
		</tr>
		<tr>
			<td valign="top">Error message for unauthorized users (in HTML)</td>
			<td><textarea name="error_msg_unauthorized" rows="4" cols="40">' . htmlspecialchars($v_error_msg_unauthorized) . '</textarea></td>
		</tr>
		<tr>
			<td valign="top">Error message for unpublished galleries (in HTML)</td>
			<td><textarea name="error_msg_unpublished_gallery" rows="4" cols="40">' . htmlspecialchars($v_error_msg_unpublished_gallery) . '</textarea></td>
		</tr>
	</table>

	<p align="center">
		<input type="submit" name="btn_cancel" value="' . JText::_('Cancel') . '" />
		&nbsp; <input type="submit" name="btn_apply" value="' . JText::_('Apply') . '" />
	</p>
</form>
';

?>